Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 771183 - sys-apps/portage: llvm-11.1.0 and clang-11.1.0 dependency conflict when upgrading from 11.0.1 versions
Summary: sys-apps/portage: llvm-11.1.0 and clang-11.1.0 dependency conflict when upgra...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 2 votes (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
: 771315 (view as bug list)
Depends on:
Blocks:
 
Reported: 2021-02-18 01:18 UTC by jospezial
Modified: 2021-05-24 02:24 UTC (History)
13 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
same error here (file_771183.txt,3.78 KB, text/plain)
2021-03-23 21:46 UTC, jorge
Details

Note You need to log in before you can comment on or make changes to this bug.
Description jospezial 2021-02-18 01:18:14 UTC
I disabled NVPTX.

emerge -uvat1D @world --newuse --with-bdeps=y;eject -T
These are the packages that would be merged, in reverse order:

Calculating dependencies \
... done!
[nomerge       ] games-fps/freedoom-0.12.1::gentoo 
[nomerge       ]  games-fps/freedoom-data-0.12.1::overlay_jl 
[ebuild     U  ]   app-text/asciidoc-9.1.0_pre::poly-c [9.0.5::gentoo] USE="-doc -test" PYTHON_SINGLE_TARGET="python3_8 -pypy3 -python3_7 -python3_9" 1.105 KiB
[nomerge       ] xfce-base/xfce4-meta-4.16-r2::gentoo  USE="pulseaudio svg upower -minimal" 
[nomerge       ]  xfce-extra/xfce4-pulseaudio-plugin-0.4.3-r1::gentoo  USE="keybinder libnotify -wnck" 
[nomerge       ]   media-sound/pulseaudio-14.2_pre::poly-c  USE="X alsa alsa-plugin asyncns bluetooth caps dbus elogind equalizer glib gtk ipv6 jack orc qt5 ssl tcpd udev webrtc-aec -doc -gconf -gdbm (-libressl) -libsamplerate -lirc -native-headset -ofono-headset (-oss) -realtime (-selinux) -sox (-system-wide) -systemd -test -zeroconf" ABI_X86="32 (64) (-x32)" 
[nomerge       ]    media-plugins/alsa-plugins-1.2.2::gentoo  USE="ffmpeg jack libsamplerate mix pulseaudio speex usb_stream -arcam_av -debug -oss" ABI_X86="32 (64) (-x32)" 
[nomerge       ]     media-video/ffmpeg-9999:0/56.58.58::overlay_jl  USE="X alsa bluray bzip2 cdio dav1d encode fdk fontconfig gnutls gpl iconv jack jpeg2k ladspa libaom libass libdrm librtmp libv4l lv2 lzma modplug mp3 network openal opencl opengl openh264 openssl opus postproc pulseaudio rubberband sdl speex ssh svg theora threads truetype twolame v4l vaapi vdpau vorbis vpx vulkan webp x264 x265 xvid zlib zvbi -amr -amrenc (-appkit) -bs2b -chromaprint -chromium -codec2 -cpudetection -cuda -debug -doc -flite -frei0r -fribidi -gcrypt -gme -gmp -gsm -hardcoded-tables -iec61883 -ieee1394 -kvazaar -libaribb24 -libcaca -libilbc (-libressl) -libsoxr -libtesseract -libxml2 (-mipsdspr1) (-mipsdspr2) (-mipsfpu) (-mmal) -oss -pic -rav1e -samba -snappy -srt -static-libs -test -vidstab -zeromq -zimg" ABI_X86="32 (64) (-x32)" CPU_FLAGS_X86="3dnow 3dnowext mmx mmxext sse sse2 sse3 -aes -avx -avx2 -fma3 -fma4 -sse4_1 -sse4_2 -ssse3 -xop" FFTOOLS="aviocat cws2fws ffescape ffeval ffhash fourcc2pixfmt graph2dot ismindex pktdumper qt-faststart sidxindex trasher" VIDEO_CARDS="-nvidia" 
[nomerge       ]      x11-libs/libva-9999:0/9999::gentoo  USE="X drm opengl utils vdpau wayland" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="-i965 -intel -nouveau -nvidia" 
[nomerge       ]       x11-libs/libdrm-9999::gentoo  USE="libkms -valgrind" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="amdgpu radeon (-exynos) (-freedreno) -intel -nouveau (-omap) (-tegra) (-vc4) (-vivante) -vmware" 
[nomerge       ]        dev-vcs/git-2.30.1::gentoo  USE="blksha1 curl gpg highlight iconv nls pcre pcre-jit perl threads webdav xinetd -cgi -cvs -doc -emacs -gnome-keyring (-libressl) -mediawiki -mediawiki-experimental -perforce (-ppcsha1) -subversion -test -tk" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 
[nomerge       ]         app-crypt/gnupg-2.2.27::gentoo  USE="bzip2 nls readline smartcard ssl usb -doc -ldap -scd-shared-access (-selinux) -tofu -tools -user-socket -wks-server" 
[nomerge       ]          app-crypt/pinentry-1.1.1::gentoo  USE="gtk ncurses qt5 -caps -emacs -gnome-keyring" 
[nomerge       ]           app-crypt/gcr-3.38.1:0/1::gentoo  USE="gtk introspection vala -gtk-doc -test" 
[nomerge       ]            dev-util/meson-format-array-0::gentoo  PYTHON_TARGETS="python3_8 python3_9 -python3_7" 
[nomerge       ]             dev-lang/python-3.8.8_rc1:3.8::gentoo  USE="bluetooth ipv6 ncurses readline sqlite ssl xml -build -examples -gdbm -hardened (-libressl) -test -tk -verify-sig -wininst" 
[nomerge       ]              net-wireless/bluez-5.55:0/3::gentoo  USE="cups mesh midi obex readline udev -btpclient -debug -deprecated -doc -experimental -extra-tools (-selinux) -systemd -test -test-programs -user-session" ABI_X86="32 (64) (-x32)" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 
[nomerge       ]               net-print/cups-2.3.3-r2::gentoo  USE="X acl dbus pam ssl threads usb xinetd -debug -kerberos -lprng-compat (-selinux) -static-libs -systemd -zeroconf" ABI_X86="32 (64) (-x32)" 
[nomerge       ]                net-print/cups-filters-1.28.7::gentoo  USE="dbus foomatic jpeg pdf png postscript tiff -ldap -pclm -perl -static-libs -test -zeroconf" 
[nomerge       ]                 app-text/ghostscript-gpl-9.53.3-r5:0/9.53::gentoo  USE="X cups dbus gtk jpeg2k (unicode) -static-libs" L10N="de (-ja) -ko -zh-CN -zh-TW" 
[nomerge       ]                  net-dns/libidn-1.36:0/12::gentoo  USE="java mono nls -doc -emacs" ABI_X86="(64) -32 (-x32)" 
[nomerge       ]                   dev-lang/mono-6.10.0.104::gentoo  USE="nls -doc -minimal -pax_kernel -xen" ABI_X86="(64) -32 (-x32)" 
[nomerge       ]                    dev-dotnet/libgdiplus-6.0.2::gentoo  USE="cairo" 
[nomerge       ]                     x11-libs/cairo-1.16.0-r4::gentoo  USE="X glib opengl svg utils (-aqua) -debug (-gles2-only) -static-libs -valgrind" ABI_X86="32 (64) (-x32)" 
[nomerge       ]                      media-libs/mesa-9999::gentoo  USE="X classic d3d9 dri3 egl gallium gbm gles2 llvm lm-sensors opencl vaapi vdpau vulkan wayland zstd -debug -gles1 -osmesa (-selinux) -test -unwind -valgrind -vulkan-overlay -xa -xvmc -zink" ABI_X86="32 (64) (-x32)" VIDEO_CARDS="radeon radeonsi (-freedreno) -i915 -i965 -intel -iris (-lima) -nouveau (-panfrost) -r100 -r200 -r300 -r600 (-v3d) (-vc4) -virgl (-vivante) -vmware" 
[nomerge       ]                       sys-devel/clang-11.0.1:11::gentoo  USE="static-analyzer xml -debug -default-compiler-rt -default-libcxx -default-lld -doc -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 
[nomerge       ]                        sys-devel/clang-runtime-11.0.1:11.0.1::gentoo  USE="compiler-rt openmp sanitize -libcxx" ABI_X86="(64) -32 (-x32)" 
[ebuild     U  ]                         sys-libs/libomp-11.1.0::gentoo [11.0.1::gentoo] USE="-cuda -hwloc -offload -ompt -test" ABI_X86="(64) -32 (-x32)" 119.899 KiB
[ebuild     U  ]                        sys-devel/clang-common-11.1.0::gentoo [11.0.1::gentoo] 0 KiB
[nomerge       ] sys-devel/clang-runtime-11.0.1:11.0.1::gentoo  USE="compiler-rt openmp sanitize -libcxx" ABI_X86="(64) -32 (-x32)" 
[nomerge       ]  sys-libs/compiler-rt-sanitizers-11.0.1:11.0.1::gentoo  USE="asan cfi clang dfsan gwp-asan hwasan libfuzzer msan profile safestack scudo tsan ubsan xray (-lsan) (-shadowcallstack) -test" 
[nomerge       ]   sys-devel/clang-11.0.1:11::gentoo  USE="static-analyzer xml -debug -default-compiler-rt -default-libcxx -default-lld -doc -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 
[nomerge       ]    sys-devel/llvm-11.0.1:11::gentoo  USE="libffi ncurses xml -debug -doc -exegesis -gold -libedit -test -xar -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" 
[ebuild     U  ]     sys-devel/llvm-common-11.1.0::gentoo [11.0.1::gentoo] 0 KiB

Total: 4 packages (4 upgrades), Size of downloads: 121.004 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

sys-devel/llvm:11

  (sys-devel/llvm-11.1.0:11/11::gentoo, ebuild scheduled for merge) USE="libffi ncurses xml -debug -doc -exegesis -gold -libedit -test -xar -z3" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" conflicts with
    ~sys-devel/llvm-11.0.1:11[llvm_targets_X86] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer xml -debug -default-compiler-rt -default-libcxx -default-lld -doc -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                     
    ~sys-devel/llvm-11.0.1:11[llvm_targets_AMDGPU] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer xml -debug -default-compiler-rt -default-libcxx -default-lld -doc -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                        
    ~sys-devel/llvm-11.0.1:11[llvm_targets_BPF] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer xml -debug -default-compiler-rt -default-libcxx -default-lld -doc -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                     
    ~sys-devel/llvm-11.0.1:11/11=[-debug,abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer xml -debug -default-compiler-rt -default-libcxx -default-lld -doc -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                                           
    ~sys-devel/llvm-11.0.1:11=[-debug,abi_x86_32(-),abi_x86_64(-)] required by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer xml -debug -default-compiler-rt -default-libcxx -default-lld -doc -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
    ^               ^^^^^^                                        


!!! The following update(s) have been skipped due to unsatisfied dependencies
!!! triggered by backtracking:

sys-devel/clang:11
sys-devel/lld:0
Comment 1 Brian Evans Gentoo Infrastructure gentoo-dev 2021-02-18 01:29:27 UTC
(In reply to jospezial from comment #0)
> I disabled NVPTX.
> 

That is not an issue at all here.

> WARNING: One or more updates/rebuilds have been skipped due to a dependency
> conflict:
> 
> sys-devel/llvm:11
> 
>   (sys-devel/llvm-11.1.0:11/11::gentoo, ebuild scheduled for merge)
> USE="libffi ncurses xml -debug -doc -exegesis -gold -libedit -test -xar -z3"
> ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM
> -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ
> (-VE) -WebAssembly -XCore" conflicts with
>     ~sys-devel/llvm-11.0.1:11[llvm_targets_X86] required by
> (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer xml
> -debug -default-compiler-rt -default-libcxx -default-lld -doc -test"
> ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM
> -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ
> (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7
> -python3_9"
>     ^               ^^^^^^                     
>     ~sys-devel/llvm-11.0.1:11[llvm_targets_AMDGPU] required by
> (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer xml
> -debug -default-compiler-rt -default-libcxx -default-lld -doc -test"
> ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM
> -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ
> (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7
> -python3_9"
>     ^               ^^^^^^                        
>     ~sys-devel/llvm-11.0.1:11[llvm_targets_BPF] required by
> (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer xml
> -debug -default-compiler-rt -default-libcxx -default-lld -doc -test"
> ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM
> -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ
> (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7
> -python3_9"
>     ^               ^^^^^^                     
>     ~sys-devel/llvm-11.0.1:11/11=[-debug,abi_x86_32(-),abi_x86_64(-)]
> required by (sys-devel/clang-11.0.1:11/11::gentoo, installed)
> USE="static-analyzer xml -debug -default-compiler-rt -default-libcxx
> -default-lld -doc -test" ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF
> (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX
> -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore"
> PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9"
>     ^               ^^^^^^                                           
>     ~sys-devel/llvm-11.0.1:11=[-debug,abi_x86_32(-),abi_x86_64(-)] required
> by (sys-devel/clang-11.0.1:11/11::gentoo, installed) USE="static-analyzer
> xml -debug -default-compiler-rt -default-libcxx -default-lld -doc -test"
> ABI_X86="32 (64) (-x32)" LLVM_TARGETS="AMDGPU BPF (X86) -AArch64 (-ARC) -ARM
> -AVR -Hexagon -Lanai -MSP430 -Mips -NVPTX -PowerPC -RISCV -Sparc -SystemZ
> (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7
> -python3_9"
>     ^               ^^^^^^                                        
> 
> 
> !!! The following update(s) have been skipped due to unsatisfied dependencies
> !!! triggered by backtracking:
> 
> sys-devel/clang:11
> sys-devel/lld:0

The real reason is that sys-devel/clang is not being upgraded to version 11.1.0 at the same time for some yet to be determined reason.  LLVM and clang versions must be in lock-step (except Gentoo revisions, -r#)
Comment 2 jospezial 2021-02-18 01:41:57 UTC
If I remove
LLVM_TARGETS="AMDGPU BPF X86"
in /etc/portage/make.conf then the update calculation looks well.

But that line was the only way for me to disable NVPTX.
Comment 3 Ionen Wolkens gentoo-dev 2021-02-18 12:31:29 UTC
(In reply to jospezial from comment #2)
> But that line was the only way for me to disable NVPTX.
Note removing something from use expand typically makes more sense in package.use

e.g. "*/* LLVM_TARGETS: -NVPTX"

This keeps the other defaults without you needing to set them.
Comment 4 jospezial 2021-02-18 15:55:20 UTC
(In reply to Ionen Wolkens from comment #3)
> (In reply to jospezial from comment #2)
> > But that line was the only way for me to disable NVPTX.
> Note removing something from use expand typically makes more sense in
> package.use
> 
> e.g. "*/* LLVM_TARGETS: -NVPTX"
> 
> This keeps the other defaults without you needing to set them.

I did not know that syntax with ":" . Is that new?
But that produces the same output with skipped updates.
Comment 5 jospezial 2021-02-18 19:25:33 UTC
qt-creator is not installed.
Comment 6 Amit Ugol 2021-02-21 08:47:31 UTC
All clang and llvm packages already have 11.1.0 but some are stuff for some reason on 11.0.1.
This is a poor and silly W/A but un-emerging clang and llvm and running emerge --ask --tree --update --newuse --changed-use --deep @world will pull everything that's needed with the new versions.
Comment 7 Amit Ugol 2021-02-21 08:57:42 UTC
(In reply to Amit Ugol from comment #6)
> All clang and llvm packages already have 11.1.0 but some are stuff for some
> reason on 11.0.1.
> This is a poor and silly W/A but un-emerging clang and llvm and running
> emerge --ask --tree --update --newuse --changed-use --deep @world will pull
> everything that's needed with the new versions.

some are stuck*
Comment 8 Norman Back 2021-03-20 06:56:26 UTC
(In reply to Amit Ugol from comment #6)
> All clang and llvm packages already have 11.1.0 but some are stuff for some
> reason on 11.0.1.
> This is a poor and silly W/A but un-emerging clang and llvm and running
> emerge --ask --tree --update --newuse --changed-use --deep @world will pull
> everything that's needed with the new versions.

I had the same issue but with LLVM_TARGETS left as default. Same W/A worked for me as well.
Comment 9 Christophe PEREZ 2021-03-20 14:58:40 UTC
(In reply to Norman Back from comment #8)
> I had the same issue but with LLVM_TARGETS left as default. Same W/A worked
> for me as well.

Same here.
Comment 10 Zac Medico gentoo-dev 2021-03-20 20:37:37 UTC
I wonder if a larger --backtrack setting is helpful or not. It may be related to one or more of the previous llvm/clang missed update bugs such as bug 584626, bug 612772, bug 612874, or bug 706278.
Comment 11 David C. Bryant 2021-03-21 22:59:06 UTC
This problem has been the subject of some discussion on the Gentoo Forums (https://forums.gentoo.org/viewtopic-t-1132284.html?sid=935654c36b760a3317f5ca39b26b2851)

It appears that this command:

emerge -1 sys-devel/clang:11 sys-devel/lld:0

will force Portage to update all three packages at one fell swoop. At least, it worked for me.
Comment 12 Zac Medico gentoo-dev 2021-03-22 00:23:03 UTC
(In reply to David C. Bryant from comment #11)
> This problem has been the subject of some discussion on the Gentoo Forums
> (https://forums.gentoo.org/viewtopic-t-1132284.
> html?sid=935654c36b760a3317f5ca39b26b2851)
> 
> It appears that this command:
> 
> emerge -1 sys-devel/clang:11 sys-devel/lld:0
> 
> will force Portage to update all three packages at one fell swoop. At least,
> it worked for me.

I suspect that this is close to bug 612874 which was fixed by this patch:

https://gitweb.gentoo.org/proj/portage.git/commit/?id=35208d80a55228a50ea4ac64904465ce4651e381

It's in the check_reverse_dependencies function which is error prone and has required numerous adjustments.
Comment 13 Zac Medico gentoo-dev 2021-03-22 00:28:00 UTC
*** Bug 771315 has been marked as a duplicate of this bug. ***
Comment 14 jorge 2021-03-23 21:46:48 UTC
Created attachment 693282 [details]
same error here

I also got the same errors in a world update two days ago. This is what I've got.
Comment 15 jorge 2021-03-23 21:48:39 UTC
(In reply to David C. Bryant from comment #11)
> This problem has been the subject of some discussion on the Gentoo Forums
> (https://forums.gentoo.org/viewtopic-t-1132284.
> html?sid=935654c36b760a3317f5ca39b26b2851)
> 
> It appears that this command:
> 
> emerge -1 sys-devel/clang:11 sys-devel/lld:0
> 
> will force Portage to update all three packages at one fell swoop. At least,
> it worked for me.

It appears it also works for me too, I didn't trigger the update but here's what emerge spat:

emerge -1a sys-devel/clang:11 sys-devel/lld:0

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-devel/llvm-11.1.0 [11.0.1]
[ebuild     U  ] sys-libs/libomp-11.1.0 [11.0.1]
[ebuild     U  ] sys-devel/lld-11.1.0 [11.0.1]
[ebuild  r  U  ] sys-devel/clang-11.1.0 [11.0.1]
[ebuild  NS    ] sys-libs/compiler-rt-11.1.0 [11.0.0, 11.0.1]
[ebuild  NS    ] sys-libs/compiler-rt-sanitizers-11.1.0 [11.0.0, 11.0.1]
[ebuild  NS    ] sys-devel/clang-runtime-11.1.0 [11.0.0, 11.0.1]
[ebuild  rR    ] media-libs/mesa-20.3.4 

The following packages are causing rebuilds:

  (sys-devel/clang-11.1.0:11/11.1::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (media-libs/mesa-20.3.4:0/0::gentoo, ebuild scheduled for merge)

Would you like to merge these packages? [Yes/No] n
Comment 16 Jiahao_XU 2021-04-04 02:50:48 UTC
In my case, `emerge -av sys-devel/clang sys-devel/lld` allows me to upgrade:

```
[nobodyxu@gentoo:~]$ sudo emerge -av sys-devel/clang sys-devel/lld

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] sys-devel/llvm-11.1.0:11::gentoo [11.0.1:11::gentoo] USE="gold libffi ncurses -debug -doc -exegesis -libedit -test -xar -xml -z3" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" 188 KiB
[ebuild     U  ] sys-devel/lld-11.1.0::gentoo [11.0.1::gentoo] USE="-test" 0 KiB
[ebuild  r  U  ] sys-devel/clang-11.1.0:11/11.1::gentoo [11.0.1:11/11::gentoo] USE="static-analyzer -debug -default-compiler-rt -default-libcxx -default-lld -doc -test -xml" ABI_X86="(64) -32 (-x32)" LLVM_TARGETS="AMDGPU BPF NVPTX (X86) -AArch64 (-ARC) -ARM -AVR -Hexagon -Lanai -MSP430 -Mips -PowerPC -RISCV -Sparc -SystemZ (-VE) -WebAssembly -XCore" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 0 KiB
[ebuild  NS    ] sys-libs/compiler-rt-sanitizers-11.1.0:11.1.0::gentoo [11.0.1:11.0.1::gentoo] USE="asan cfi clang dfsan gwp-asan hwasan libfuzzer msan profile safestack scudo tsan ubsan xray (-lsan) (-shadowcallstack) -test" 0 KiB
[ebuild  NS    ] sys-devel/clang-runtime-11.1.0:11.1.0::gentoo [11.0.1:11.0.1::gentoo] USE="compiler-rt openmp sanitize -libcxx" ABI_X86="(64) -32 (-x32)" 0 KiB
[ebuild  rR    ] dev-db/postgresql-13.2:13::gentoo  USE="llvm nls pam python readline server ssl systemd threads uuid xml zlib -debug -doc -icu -kerberos -ldap (-libressl) -perl (-selinux) -static-libs -tcl" PYTHON_SINGLE_TARGET="python3_8 -python3_7 -python3_9" 0 KiB

Total: 6 packages (3 upgrades, 2 in new slots, 1 reinstall), Size of downloads: 188 KiB

The following packages are causing rebuilds:

  (sys-devel/clang-11.1.0:11/11.1::gentoo, ebuild scheduled for merge) causes rebuilds for:
    (dev-db/postgresql-13.2:13/13::gentoo, ebuild scheduled for merge)

Would you like to merge these packages? [Yes/No]

```
Comment 17 jospezial 2021-04-15 21:39:07 UTC
Works great now on world update with portage-9999 and llvm/clang-12 release. No workaround needed.
Can somebody confirm that with portage release and stable?